summaryrefslogtreecommitdiff
path: root/src/testing/initialize_taler_system.sh
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2021-06-16 22:14:35 +0200
committerChristian Grothoff <christian@grothoff.org>2021-06-16 22:14:35 +0200
commit23b4c5eb9d830fa272c8011b62ac20ef7749f246 (patch)
tree84526f5861abed96e18d0fd32a6b740a7615c75b /src/testing/initialize_taler_system.sh
parent1fa773793b24285205818c21c70fb72cd63fe6ba (diff)
downloadmerchant-23b4c5eb9d830fa272c8011b62ac20ef7749f246.tar.gz
merchant-23b4c5eb9d830fa272c8011b62ac20ef7749f246.tar.bz2
merchant-23b4c5eb9d830fa272c8011b62ac20ef7749f246.zip
fixing #6903
Diffstat (limited to 'src/testing/initialize_taler_system.sh')
-rwxr-xr-xsrc/testing/initialize_taler_system.sh13
1 files changed, 9 insertions, 4 deletions
diff --git a/src/testing/initialize_taler_system.sh b/src/testing/initialize_taler_system.sh
index 277d55e6..c4127684 100755
--- a/src/testing/initialize_taler_system.sh
+++ b/src/testing/initialize_taler_system.sh
@@ -20,6 +20,9 @@ function exit_fail() {
# Cleanup to run whenever we exit
function cleanup()
{
+ # kill main HTTP servers first
+ kill ${MERCHANT_HTTPD_PID:-X} &> /dev/null || true
+ kill ${EXCHANGE_HTTPD_PID:-X} &> /dev/null || true
for n in `jobs -p`
do
kill $n 2> /dev/null || true
@@ -108,10 +111,12 @@ echo " OK"
# Launch services
echo -n "Launching taler services ..."
taler-bank-manage-testing $CONF postgres:///$TALER_DB serve > taler-bank.log 2> taler-bank.err &
-taler-exchange-secmod-eddsa -c $CONF 2> taler-exchange-secmod-eddsa.log &
-taler-exchange-secmod-rsa -c $CONF 2> taler-exchange-secmod-rsa.log &
-taler-exchange-httpd -c $CONF 2> taler-exchange-httpd.log &
-taler-merchant-httpd -c $CONF -L INFO 2> taler-merchant-httpd.log &
+taler-exchange-secmod-eddsa -c $CONF -L DEBUG 2> taler-exchange-secmod-eddsa.log &
+taler-exchange-secmod-rsa -c $CONF -L DEBUG 2> taler-exchange-secmod-rsa.log &
+taler-exchange-httpd -c $CONF -L DEBUG 2> taler-exchange-httpd.log &
+EXCHANGE_HTTPD_PID=$!
+taler-merchant-httpd -c $CONF -L DEBUG 2> taler-merchant-httpd.log &
+MERCHANT_HTTPD_PID=$!
taler-exchange-wirewatch -c $CONF 2> taler-exchange-wirewatch.log &
taler-auditor-httpd -L INFO -c $CONF 2> taler-auditor-httpd.log &